nxt

## Class Exchange

- java.lang.Object
- - nxt.Exchange

-     public final class Exchange
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Exchange.Event`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<Exchange> listener, Exchange.Event eventType)`
    `static DbIterator<Exchange>` | `getAccountCurrencyExchanges(long accountId, long currencyId, int from, int to)`
    `static DbIterator<Exchange>` | `getAccountExchanges(long accountId, int from, int to)`
    `static DbIterator<Exchange>` | `getAllExchanges(int from, int to)`
    `long` | `getBlockId()`
    `long` | `getBuyerId()`
    `static int` | `getCount()`
    `static DbIterator<Exchange>` | `getCurrencyExchanges(long currencyId, int from, int to)`
    `long` | `getCurrencyId()`
    `static int` | `getExchangeCount(long currencyId)`
    `static DbIterator<Exchange>` | `getExchanges(long transactionId)`
    `int` | `getHeight()`
    `static java.util.List<Exchange>` | `getLastExchanges(long[] currencyIds)`
    `static DbIterator<Exchange>` | `getOfferExchanges(long offerId, int from, int to)`
    `long` | `getOfferId()`
    `long` | `getRate()`
    `long` | `getSellerId()`
    `int` | `getTimestamp()`
    `long` | `getTransactionId()`
    `long` | `getUnits()`
    `static boolean` | `removeListener(Listener<Exchange> listener, Exchange.Event eventType)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getAllExchanges

          public static DbIterator<Exchange> getAllExchanges(int from,
                                                             int to)

    - #### getCount

          public static int getCount()

    - #### addListener

          public static boolean addListener(Listener<Exchange> listener,
                                            Exchange.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<Exchange> listener,
                                               Exchange.Event eventType)

    - #### getCurrencyExchanges

          public static DbIterator<Exchange> getCurrencyExchanges(long currencyId,
                                                                  int from,
                                                                  int to)

    - #### getLastExchanges

          public static java.util.List<Exchange> getLastExchanges(long[] currencyIds)

    - #### getAccountExchanges

          public static DbIterator<Exchange> getAccountExchanges(long accountId,
                                                                 int from,
                                                                 int to)

    - #### getAccountCurrencyExchanges

          public static DbIterator<Exchange> getAccountCurrencyExchanges(long accountId,
                                                                         long currencyId,
                                                                         int from,
                                                                         int to)

    - #### getExchanges

          public static DbIterator<Exchange> getExchanges(long transactionId)

    - #### getOfferExchanges

          public static DbIterator<Exchange> getOfferExchanges(long offerId,
                                                               int from,
                                                               int to)

    - #### getExchangeCount

          public static int getExchangeCount(long currencyId)

    - #### getTransactionId

          public long getTransactionId()

    - #### getBlockId

          public long getBlockId()

    - #### getOfferId

          public long getOfferId()

    - #### getSellerId

          public long getSellerId()

    - #### getBuyerId

          public long getBuyerId()

    - #### getUnits

          public long getUnits()

    - #### getRate

          public long getRate()

    - #### getCurrencyId

          public long getCurrencyId()

    - #### getTimestamp

          public int getTimestamp()

    - #### getHeight

          public int getHeight()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`